<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous">

    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
</head>

<body>
    <div class="container">

        <!-- Lazy way to add some spacing -->
        <br /><br />

        <div class="row">
            <div class="col-xs-12 col-md-6">
                <h3>My ToDos</h3>

                <hr />

                <h4>To Be Done</h4>

                    <!--
                        Todo:

                        The forms here are being submitted without doing
                        anything useful. Add a handler that intercepts the
                        default submit behavior and instead makes an AJAX
                        request to our todos.php endpoint and updates the
                        relevant todo item. Make sure it updates on the client
                        side aswell!

                        The little checkbox on the left indicates if the todo
                        is done or not. Make sure to handle the change of the
                        checkbox and place the item into the appropriate list:
                        done vs not done.

                        A bonus objective would be to make sure the "Update"
                        button is hidden if there are no changes in the input
                        field, and only appears when user changes the value of
                        the field.

                        Add your JavaScript handlers to the scripts.js file.
                    -->
                    <form>
                        <div class="input-group">
                            <span class="input-group-addon">
                                <input type="checkbox" name="done" />
                            </span>
                            <input type="text" class="form-control" placeholder="ToDo Text" value="Do the interview test">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">Update</button>
                            </span>
                        </div>
                    </form>

                    <br />

                    <form>
                        <div class="input-group">
                            <span class="input-group-addon">
                                <input type="checkbox" name="done" />
                            </span>
                            <input type="text" class="form-control" placeholder="ToDo Text" value="Submit a PR for the interview test">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">Update</button>
                            </span>
                        </div>
                    </form>

                    <br />

                    <!--
                        Todo:

                        This form is also not wired: Make it create a new
                        todo item. Make sure it is saved in the server using
                        AJAX, and the save is reflected in the client aswell.
                    -->
                    <form>
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Create a New ToDo: Type something here!">
                            <span class="input-group-btn">
                                <button class="btn btn-default" type="submit">Create</button>
                            </span>
                        </div>
                    </form>

                <hr />

                <h4>Done</h4>

                <div class="input-group">
                    <span class="input-group-addon">
                        <input type="checkbox" name="done" checked />
                    </span>
                    <input type="text" class="form-control" placeholder="ToDo Text" value="Create a Cloud9 Account">
                </div>
            </div>
        </div>

    </div>

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa" crossorigin="anonymous"></script>
    <script src="scripts.js"></script>
</body>

</html>
